Skip to main content
Create dashboard report settings

Authorizations

Authorization
string
header
required

HTTP Basic authentication using global administrator credentials (username and password).

Path Parameters

dashboardId
string
required

Dashboard ID

Query Parameters

deliverNow
boolean
default:false

Deliver report immediately

Body

application/vnd.composer.v3+json
id
string
name
string
subject
string
message
string
format
enum<string>
Available options:
PDF,
PNG,
XLSX,
SSR_PDF,
SSR_XLSX
destinationType
enum<string>

Destination for the report

Available options:
EMAIL,
FILE_DROP
Example:

"EMAIL/FILE_DROP"

type
enum<string>

Data export type for XLSX reports

Available options:
RAW_DATA_FOR_VISUAL,
VISUAL_DATA
recipients
object
schedule
object
columnCount
integer<int32>
deprecated

Number of columns to be exported for Self Service Report

ssrScheduleProperties
object

Defines self service report details for the schedule

Response

The dashboard report was created successfully

id
string
name
string
subject
string
message
string
format
enum<string>
Available options:
PDF,
PNG,
XLSX,
SSR_PDF,
SSR_XLSX
destinationType
enum<string>

Destination for the report

Available options:
EMAIL,
FILE_DROP
Example:

"EMAIL/FILE_DROP"

type
enum<string>

Data export type for XLSX reports

Available options:
RAW_DATA_FOR_VISUAL,
VISUAL_DATA
recipients
object
schedule
object
columnCount
integer<int32>
deprecated

Number of columns to be exported for Self Service Report

ssrScheduleProperties
object

Defines self service report details for the schedule